Bug 656819 - [abrt] recoll-1.13.04-6.fc13: HTMLParser.py:115:error:HTMLParseError: EOF in middle of construct, at line 273, column 13
Summary: [abrt] recoll-1.13.04-6.fc13: HTMLParser.py:115:error:HTMLParseError: EOF in ...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: recoll
Version: 13
Hardware: x86_64
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Terje Røsten
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:ab8a94ee
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-24 08:43 UTC by Roberts Klotins
Modified: 2011-06-28 10:25 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-28 10:25:32 UTC


Attachments (Terms of Use)
File: backtrace (1.01 KB, text/plain)
2010-11-24 08:43 UTC, Roberts Klotins
no flags Details

Description Roberts Klotins 2010-11-24 08:43:48 UTC
abrt version: 1.1.13
architecture: x86_64
cmdline: python /usr/share/recoll/filters/rclchm
comment: Run recoll indexing (manual and via cron)
component: recoll
executable: /usr/share/recoll/filters/rclchm
kernel: 2.6.34.7-61.fc13.x86_64
package: recoll-1.13.04-6.fc13
reason: HTMLParser.py:115:error:HTMLParseError: EOF in middle of construct, at line 273, column 13
release: Fedora release 13 (Goddard)
time: 1290587592
uid: 500

backtrace
-----
HTMLParser.py:115:error:HTMLParseError: EOF in middle of construct, at line 273, column 13

Traceback (most recent call last):
  File "/usr/share/recoll/filters/rclchm", line 150, in <module>
    e.mainloop(rclCHM(e))
  File "/usr/share/recoll/filters/rclexecm.py", line 116, in mainloop
    self.processmessage(processor, params)
  File "/usr/share/recoll/filters/rclexecm.py", line 84, in processmessage
    if not processor.openfile(params):
  File "/usr/share/recoll/filters/rclchm", line 134, in openfile
    self.tp.close()
  File "/usr/lib64/python2.6/HTMLParser.py", line 112, in close
    self.goahead(1)
  File "/usr/lib64/python2.6/HTMLParser.py", line 164, in goahead
    self.error("EOF in middle of construct")
  File "/usr/lib64/python2.6/HTMLParser.py", line 115, in error
    raise HTMLParseError(message, self.getpos())
HTMLParseError: EOF in middle of construct, at line 273, column 13

Local variables in innermost frame:
message: 'EOF in middle of construct'
self: <__main__.ChmTopicsParser instance at 0x1ff8cf8>

How to reproduce
-----
1. this happens when recollindex is run
2. I think it happens when it treis to index chm files
3. as far as I can tell all chms are affected as the only information I can find about chms is in the filename

Comment 1 Roberts Klotins 2010-11-24 08:43:51 UTC
Created attachment 462567 [details]
File: backtrace

Comment 2 Roberts Klotins 2010-12-04 10:51:47 UTC
Package: recoll-1.14.2-2.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Recoll index update is run via anacron
2. Crashes happen - apparently when recoll tries to index chm files (although I do not know how to verify that).
3.

Comment 3 Terje Røsten 2010-12-05 09:57:40 UTC
Thanks for your report.

Comment 4 Fedora Update System 2011-01-28 19:12:54 UTC
recoll-1.14.4-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/recoll-1.14.4-1.fc14

Comment 5 Fedora Update System 2011-01-28 19:13:01 UTC
recoll-1.14.4-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/recoll-1.14.4-1.fc13

Comment 6 Fedora Update System 2011-02-07 19:51:56 UTC
recoll-1.14.4-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2011-02-07 19:52:37 UTC
recoll-1.14.4-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Bug Zapper 2011-05-30 13:29:39 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Bug Zapper 2011-06-28 10:25:32 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.